From d337fb2ba099a9c2aa0e04290e87c81d1f5608fb Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Wed, 3 May 2017 09:37:41 -0700
Subject: [PATCH 1/3] usb-compositon: Add IPCRTR function to 9025 composition

For nomad we need to enable IPC over USB.
To enable IPC Router endpoint we need to enabled the ipc router function
in default 9025 usb composition.
---
 usb/compositions/9025 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/usb/compositions/9025 b/usb/compositions/9025
index 22d9553..95544af 100755
--- a/usb/compositions/9025
+++ b/usb/compositions/9025
@@ -133,7 +133,7 @@ run_californium() {
 	echo 05C6 > /sys/class/android_usb/android$num/idVendor
 	echo diag > /sys/class/android_usb/android0/f_diag/clients
 	echo smd,tty > /sys/class/android_usb/android0/f_serial/transports
-	echo diag,ffs,serial,rmnet_gsi,mass_storage > /sys/class/android_usb/android$num/functions
+	echo diag,ffs,serial,rmnet_gsi,mass_storage,ipcrtr > /sys/class/android_usb/android$num/functions
 	echo 1 > /sys/class/android_usb/android$num/remote_wakeup
 	sleep $delay
 	echo 1 > /sys/class/android_usb/android$num/enable
-- 
1.8.2.1

